#!/usr/bin/perl

use strict;
use warnings;
use FindBin qw($Bin);
#use lib "$Bin/modules";
#use lib "$Bin/";

#use select;
sub del_bad_ptles {

    my ($ptlefiles_ref) = @_;
    my @selectfiles = ();
    my $total_select = 0;
    my $header_flag = 0;

    foreach my $ptlefile (@{$ptlefiles_ref}) {
	my $selectfile = "${ptlefile}_sel";
	open(PTLE, $ptlefile);
	open(SEL, ">$selectfile");
	while(<PTLE>) {
	    my $origline = $_;
	    my $modline = $origline;
	    $modline =~ s/^\s+//;
	    $modline =~ s/\s+$//;

	    unless($origline =~ /\w/) {
		next; # skipping blank lines
	    }

	    if($_ =~ /pif/i || $_ =~ /mrc/i) {
		print SEL "$origline";
		$header_flag = 1;
	    }
	    elsif($header_flag) {
		print SEL "$origline";
		$header_flag = 0;
	    } else {
		$modline =~ s/,/ /g;
		my ($indx, $theta, $phi, $omega, $x, $y,
		    $mag, $score1, $score2, $score3, 
		    $t1, $t2, $t3, $t4, $t5) = split(/\s+/, $modline);

		if(defined $t4 && defined $t5 &&
		   $t4 =~ /^[a-z]$/i && $t5 =~ /^[a-z]$/i) {
		    unless($t4 =~ /X/i || $t5 =~ /X/i) {
			print SEL "$origline";
			$total_select++;
		    } 
		}
		elsif (defined $t1 && defined $t2 &&
		   $t1 =~ /^[a-z]$/i && $t2 =~ /^[a-z]$/i) {
		    unless($t1 =~ /X/i || $t2 =~ /X/i) {
			print SEL "$origline";
			$total_select++;
		    } 
		}
		else {
		    print SEL "$origline";
		    $total_select++;
		}

	    }
	}
	close(PTLE);
	close(SEL);

	push(@selectfiles, $selectfile);
    }
    
    return ($total_select, @selectfiles);
}

my @inputfiles;
push(@inputfiles, $ARGV[0]);
my ($total_select, $selectfiles) = del_bad_ptles(\@inputfiles);


